[swift]carthoge ビルドエラー(code 65)

swift

最新のxcodeで既存のソースコードをビルドしようとして、早速carthageでエラーが出ました。😩

PR

エラーの内容

ターミナル上では下記のようにコード65で返ってきています。

Build Failed
  Task failed with exit code 65: 

ログが吐かれているので、内容をみてみるとResultライブラリで、
SWIFT_VERSION 3.0が設定されているからみたいでした。

Build settings from command line:
    CARTHAGE = YES 
    CLANG_ENABLE_CODE_COVERAGE = NO
    CODE_SIGN_IDENTITY =
    CODE_SIGNING_REQUIRED = NO
    GCC_INSTRUMENT_PROGRAM_FLOW_ARCS = NO
    ONLY_ACTIVE_ARCH = NO
    SDKROOT = iphoneos12.4
    SKIP_INSTALL = YES 
    STRIP_INSTALLED_PRODUCT = NO

note: Using new build system
note: Planning build
note: Constructing build descriptio
Build system information
error: SWIFT_VERSION '3.0' is unsupported, supported versions are: 4.0, 4.2, 5.0. (in target 'Result-iOS')

Resultライブラリを含めて、それぞれのライブラリを最新にすることで解決しました。
最新のライブラリはそれぞれのgithubのreleasesをみて確認します。

-github "antitypical/Result" "3.2.4"
-github "ishkawa/APIKit" "3.2.1"
-github "johnsundell/unbox" "2.5.0"
+github "antitypical/Result" "5.0.0"
+github "ishkawa/APIKit" "5.0.0"
+github "johnsundell/unbox" "3.1.0"

Carthageビルドに時間が結構かかりますね…🥶

コメント

タイトルとURLをコピーしました